@charset "UTF-8";

:root{
    --primary-navy: #00253B;     /* フォントカラー */
    --primary-khaki: #2B3700;     /* フォントカラー */
    --primary-pink: #FF0069;    /* フォントカラー */
    --primary-beige: #AEA392;    /* フォントカラー */
    --primary-white: #fff;    /* フォントカラー */
    --primary-brown:#766C5E;  /* フォントカラー */
    --primary-rightbeige: #E7DBCA;     /* バックグランドカラー */
    --primary-rightgreen:#BAC0A2;
    --primary-whitebeige: #FCF7F1;     /* バックグランドカラー */
    --secondary-color: #FFFFFF;   /* 背景色 */
    --btn-color: linear-gradient(90deg, #DFCACA 0.08%, #E7B8B8 99.93%);   /* ボタン*/
    --font-sans: "Noto Sans JP", sans-serif;
    --font-serif: "Noto Serif JP", serif;
    --font-hand: "Babylonica", cursive;
}

.body{
    font-family: var(--font-serif);
    font-size: 1.4rem;
    font-weight: 400;
    line-height: 1;
    color: var(--primary-navy);
    background-color: var(--secondary-color);
}

/* ===== ヘッダー ===== */
.page-title{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
    color: var(--primary-brown);
    text-align: center;
    font-size: 3.6rem;
    line-height: 1;
}

.page-title-txt{
    color: var(--primary-navy);
    text-align: center;
    font-size: 1.6rem;
    font-style: normal;
    font-weight: 300;
    line-height: 1; 
}

/* ===== NEWS ===== */
.news-container{
    display: flex;
    width: 100%;
    padding: 60px 30px;
    flex-direction: column;
    align-items: flex-start;
    gap: 24px;
}

.news-item-p{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 8px;
    align-self: stretch;
}

.news-date{
    display: flex;
    padding: 4px 16px;
    justify-content: center;
    align-items: center;
    background: var(--primary-rightgreen);
    color: #FFF;
    text-align: center;
}

.news-title-p a{
    color: var(--primary-beige);
    font-size: 1.6rem;
    font-weight: 700;
    text-decoration-line: underline;
    text-decoration-style: solid;
    text-decoration-skip-ink: none;
}

.news-txt{
    color: var(--primary-khaki);
    font-family: var(--font-sans);
    line-height: 1.5;
}

.news-line{
    width: 100%;
    height: 1px;
    background: #DFDAD3;
}

@media screen and (min-width: 768px) {
.news-container{
    display: flex;
    width: 70%;
    margin: 0 auto;
    padding: 90px 0 60px 0;
    flex-direction: column;
    align-items: flex-start;
    }

    .news-date{
        font-size: 1.6rem;
    }

    .news-title-p a{
        font-size: 2rem;
    }

    .news-txt{
        font-size: 1.8rem;
    }
}

/* ===== NEWS PAGE ===== */
.news-pager{
    display: flex;
    padding: 45px 0;
    justify-content: center;
    align-items: center;
    gap: 8px;
}

.newspage{
    display: flex;
    padding: 5px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
    border: 0.5px solid var(--primary-khaki);
    color: var(--primary-khaki);
}

@media screen and (min-width: 768px) {
    .newspage{
        font-size:1.6rem;
    }
}